// listatfnos.h - Declaración de la clase CListaTfnos
#if !defined( _LISTATFNOS_H_ )
#define _LISTATFNOS_H_

#include <vector>
#include <string>
#include "persona.h"

class CListaTfnos
{
  private:
    std::vector<CPersona> listaTelefonos; // matriz de objetos
    
  public:
    CListaTfnos(); // constructor
    CPersona registro(unsigned int i); // acceso al registro i
    void anyadir(CPersona obj);      // añadir un registro al final
    bool eliminar(long tel);         // eliminar un registro
    int buscar(std::string str, int pos); // buscar un registro
    size_t longitud();
};

#endif // _LISTATFNOS_H_

